kde_module_LTLIBRARIES = librsyncplugin.la

AM_CPPFLAGS = $(all_includes)
METASOURCES = AUTO

librsyncplugin_la_SOURCES = rsyncplugin.cpp
librsyncplugin_la_LIBADD = -lkonq -ltdersync
librsyncplugin_la_LDFLAGS = -module $(KDE_PLUGIN) $(all_libraries)

iconviewdir = $(kde_datadir)/konqiconview/kpartplugins
iconview_DATA = rsyncplugin.rc rsync_plugin.desktop
listviewdir = $(kde_datadir)/konqlistview/kpartplugins
listview_DATA = rsyncplugin.rc rsync_plugin.desktop

appsdir = $(kde_appsdir)/.hidden
apps_DATA = rsyncplugin.desktop

KDE_ICON = AUTO

messages: rc.cpp
	$(XGETTEXT) *.cpp *.h -o $(podir)/rsyncplugin.pot
